How to approach the problem InterLeave Blocks from ZCO 2020

# InterLeave Blocks+meme war

Hint till the editorial is out : DP[A][B][K][2]. dp[a][b][k][0] represents the number of ways we can interleave first a and b terms of array A and B respectively to form exactly k blocks of equal numbers, and the last term in the interleaved subsequence is from array A (from array B if the last value is 1 instead of 0)

Look at this problem which is quite similar.

On mobile rn so cant give a detailed explanation

Such hint, much wow!

At least describe your DP states, base case and recurrence relation !

EDIT: Nice, your edited answer is much better

Itna pr0 kaise

I used DP[A][B][K][2]

HAHAHAHAHA

THANK YOU XDDDDDDDDDD. I AM DEAD SOMEONE HELP ME XDXD.

Best laugh since a few recent months XDDDD

Hahaha upload again I donâ€™t mind

spam spam spam

somebody lock it(wait the mod is also involved in the spam )now who will lock it??

lol

When codechef has meme wars : â€śCodechef is filled with spam. Codeforces has so much of informative talksâ€ť

When codeforces has meme wars : â€śThis is so much fun. Coders are awesome memeistsâ€ť

it was intended to be a joke

this is so true

The effort on memes is legit

I will. 1-2 memes are fine. But a meme war is definitely injustice to this post. @ashish_arora please make a new post if you still need help. Sorry for the inconvenience